import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is a white blood cell. This kind of cell has the job to catch bacteria and
 * remove them from the blood.
 * 
 * @author Michael Kölling
 * @version 1.0
 */
public class Tiger extends Actor
{
    public Tiger()
    {
     GreenfootImage image = getImage();
        image.scale(100,70);
        setImage(image);
    }
    /**
     * Act: move up and down when cursor keys are pressed.
     */
    public void act() 
    {
        checkKeyPress();
        checkCollision();
    }
    
    /**
     * Check whether a keyboard key has been pressed and react if it has.
     */
    private void checkKeyPress()
    {
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-8);
        }
        
        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+8);
        }
        
        if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+4, getY());
        }
        
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-4, getY());
        }
    }
    
    /**
     * Check whether we are touching a bacterium or virus. Remove bacteria.
     * Game over if we hit a virus.
     */
    private void checkCollision()
    {
        if (isTouching(Steak.class)) 
        {
            Greenfoot.playSound("slurp.wav");
            removeTouching(Steak.class);
            Park bloodstream = (Park)getWorld();
            bloodstream.addScore(20);
        }

        if (isTouching(ZooKeeper.class)) 
        {
            removeTouching(ZooKeeper.class);
            Park bloodstream = (Park)getWorld();
            bloodstream.addScore(-100);            
        }
    }
}
